# -*- encoding: utf-8 -*-
# stub: facter 4.10.0 ruby lib

Gem::Specification.new do |s|
  s.name = "facter".freeze
  s.version = "4.10.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Puppet".freeze]
  s.date = "2024-10-17"
  s.description = "You can prove anything with facts!".freeze
  s.email = ["team-nw@puppet.com".freeze]
  s.executables = ["facter".freeze]
  s.files = ["bin/facter".freeze]
  s.homepage = "https://github.com/puppetlabs/facter".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new([">= 2.5".freeze, "< 4.0".freeze])
  s.rubygems_version = "3.6.2".freeze
  s.summary = "Facter, a system inventory tool".freeze

  s.installed_by_version = "3.6.2".freeze

  s.specification_version = 4

  s.add_development_dependency(%q<ffi>.freeze, [">= 1.15.5".freeze, "< 1.17.0".freeze, "!= 1.16.0".freeze, "!= 1.16.1".freeze, "!= 1.16.2".freeze])
  s.add_development_dependency(%q<rake>.freeze, ["~> 13.0".freeze, ">= 13.0.6".freeze])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0".freeze])
  s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.28".freeze])
  s.add_development_dependency(%q<rubocop-performance>.freeze, ["~> 1.5.2".freeze])
  s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 2.10".freeze])
  s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.17.1".freeze])
  s.add_development_dependency(%q<sys-filesystem>.freeze, ["~> 1.4".freeze])
  s.add_development_dependency(%q<webmock>.freeze, ["~> 3.12".freeze])
  s.add_development_dependency(%q<yard>.freeze, ["~> 0.9".freeze])
  s.add_runtime_dependency(%q<hocon>.freeze, ["~> 1.3".freeze])
  s.add_runtime_dependency(%q<thor>.freeze, [">= 1.0.1".freeze, "< 1.3".freeze])
end
